## golang-github-viant-toolbox 0.33.0

=== debian/changelog ===
golang-github-viant-toolbox (0.33.0-12) unstable; urgency=medium

  * Revert previous revert to finalize the fix for circular dependency
    (Closes: #963851).

 -- Roger Shimizu <rosh@debian.org>  Wed, 05 Aug 2020 01:03:01 +0900

golang-github-viant-toolbox (0.33.0-11) unstable; urgency=medium

  * debian/patches:
    - Update latest patches from upstream, and refresh patches.
  * debian/control:
    - Revert [2ab0467] to make other package testing migration.
      Will Revert again after that testing migration done.

 -- Roger Shimizu <rosh@debian.org>  Sat, 01 Aug 2020 23:46:03 +0900

golang-github-viant-toolbox (0.33.0-10) unstable; urgency=medium

  * debian/control:
    - Bump debhelper-compat to 13.
  * Break circular dependency.
    - Break a circular dependency between golang-github-viant-toolbox-dev
      and golang-github-viant-assertly-dev. (Closes: #963851)

 -- Alois Micard <alois@micard.lu>  Wed, 22 Jul 2020 19:28:08 +0000

golang-github-viant-toolbox (0.33.0-9) unstable; urgency=medium

  * debian/rules:
    - Ignore auto_test failure on the 32-bit system, since the build
      for the test is supposed to fail.

 -- Roger Shimizu <rosh@debian.org>  Fri, 10 Jul 2020 20:29:54 +0900

golang-github-viant-toolbox (0.33.0-8) unstable; urgency=medium

  * d/patches and d/rules:
    * Disable ssh/service_replay_test.go test to see whether it passes
      reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Fri, 10 Jul 2020 00:44:23 +0900

golang-github-viant-toolbox (0.33.0-7) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick upstream patch to fix a few tests.
    - Refresh patches.
  * debian/rules:
    - Simplify the 32-bit system condition.

 -- Roger Shimizu <rosh@debian.org>  Thu, 09 Jul 2020 01:57:15 +0900

golang-github-viant-toolbox (0.33.0-6) unstable; urgency=medium

  * debian/rules:
    - Backup some test data, and restore them after test.
      Since those data is modified during testing.

 -- Roger Shimizu <rosh@debian.org>  Mon, 06 Jul 2020 20:45:03 +0900

golang-github-viant-toolbox (0.33.0-5) unstable; urgency=medium

  * debian/rules:
    - Remove result files from test to make the package reproducible.
      Thanks to Chris Lamb for the patch. (with slight modification)
      (Closes: #963740)

 -- Roger Shimizu <rosh@debian.org>  Sun, 05 Jul 2020 18:21:48 +0900

golang-github-viant-toolbox (0.33.0-4) unstable; urgency=medium

  * debian/rules:
    - Go test build fails on 32-bit systems, so ignore the failure.
  * debian/patches:
    - Cleanup 0001 patch.

 -- Roger Shimizu <rosh@debian.org>  Sat, 04 Jul 2020 17:37:13 +0900

golang-github-viant-toolbox (0.33.0-3) unstable; urgency=medium

  * debian/control:
    - Remove B-D: golang-github-klauspost-cpuid-dev
  * debian/patches:
    - Amend 0001 patch, use more precise method to identify 32-bit system.

 -- Roger Shimizu <rosh@debian.org>  Sat, 04 Jul 2020 02:45:16 +0900

golang-github-viant-toolbox (0.33.0-2) unstable; urgency=medium

  * debian/patches:
    - Amend 0001 patch, to restore skipping test: TestService_List
    - Amend 0001 patch, to skip test on 32-bit system: Test_AsString,
      and Test_NewFileMode

 -- Roger Shimizu <rosh@debian.org>  Fri, 03 Jul 2020 00:28:59 +0900

golang-github-viant-toolbox (0.33.0-1) unstable; urgency=medium

  * New upstream release 0.33.0
  * debian/patches:
    - Refresh patches.
  * debian/control:
    - Add B-D: golang-github-klauspost-cpuid-dev

 -- Roger Shimizu <rosh@debian.org>  Thu, 02 Jul 2020 03:27:27 +0900

golang-github-viant-toolbox (0.32.3-1) unstable; urgency=medium

  * New upstream release 0.32.3
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sat, 27 Jun 2020 01:14:17 +0900

golang-github-viant-toolbox (0.32.2-2) unstable; urgency=medium

  * debian/patches:
    - Skip tests fail on reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 19:04:19 +0900

golang-github-viant-toolbox (0.32.2-1) unstable; urgency=medium

  * New upstream release 0.32.2
  * debian/watch:
    - Match the filename with the one in archive.
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 00:26:24 +0900

golang-github-viant-toolbox (0.31.4-2) unstable; urgency=medium

  * debian/rules:
    - Add more test file and enable the dh_auto_test.
    - Enable dh_auto_test.
  * debian/patches:
    - Amend patch 0002 to fix permission for config files.
    - Add patch 0003 to skip some tests fail at git-pbuilder environment.

 -- Roger Shimizu <rosh@debian.org>  Fri, 19 Jun 2020 20:31:24 +0900

golang-github-viant-toolbox (0.31.4-1) unstable; urgency=medium

  * Initial release (Closes: #956075)

 -- Roger Shimizu <rosh@debian.org>  Sun, 03 May 2020 14:59:00 +0900
