## golang-github-viant-toolbox 0.33.2

=== debian/changelog ===
golang-github-viant-toolbox (0.33.2-4) unstable; urgency=medium

  * Team upload.

  [ Aloïs Micard ]
  * d/control:
    - Bump Standards-Version.
    - Update my uploader email.

  [ Nicholas D Steeves ]
  * Add build-dep on tzdata to solve FTBFS due to broken transitive
    dependency chain (Closes: #1027373).
  * Drop Homepage from upstream/metadata, because this field does not
    appear to be actually be part of the spec, and lintian is now
    warning about it.


 -- Nicholas D Steeves <sten@debian.org>  Sun, 08 Jan 2023 13:57:20 -0500

golang-github-viant-toolbox (0.33.2-3) unstable; urgency=medium

  * Revert previous fix to make the package build again.
  * Write patch to make the build reproducible.

 -- Aloïs Micard <alois@micard.lu>  Wed, 24 Feb 2021 15:52:12 +0100

golang-github-viant-toolbox (0.33.2-2) unstable; urgency=medium

  * Make the build reproducible, thanks to Chris Lamb! (Closes: #983163)
  * Bump Standards-Version.

 -- Aloïs Micard <alois@micard.lu>  Mon, 22 Feb 2021 00:45:14 +0100

golang-github-viant-toolbox (0.33.2-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * debian/control:
    - Update my uploader name.

  [ Roger Shimizu ]
  * New upstream release 0.33.2
  * debian/patches:
    - Drop all upstreamed patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 08 Nov 2020 20:16:07 +0900
