=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: golang-github-viant-toolbox
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
- Alois Micard <alois@micard.lu>,
+ Aloïs Micard <creekorful@debian.org>,
  Roger Shimizu <rosh@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
@@ -20,8 +20,9 @@
  golang-golang-x-oauth2-google-dev,
  golang-google-api-dev,
  golang-google-cloud-dev,
- golang-yaml.v2-dev
-Standards-Version: 4.5.0
+ golang-yaml.v2-dev,
+ tzdata
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-viant-toolbox
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-viant-toolbox.git
 Homepage: https://github.com/viant/toolbox
